%define ver_major 0.99

Name: gnome-netinfo
Version: %ver_major.0
Release: alt0.6

Summary: GNOME 2 netinfo program
License: LGPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

Requires: net-tools
Requires: iputils
Requires: traceroute

BuildPreReq: menu-devel

# Automatically added by buildreq on Sun Jul 11 2004
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig

%description
This package contains a GNOME 2 network information tool, for getting info on
network cards, DNS, etc.

%prep
%setup -q

%build
export LDFLAGS=-export-dynamic
%configure \
    --disable-schemas-install \
    --with-ifconfig=/sbin/ifconfig

%make_build

%install
%makeinstall

# menus
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Networking/Monitoring" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/%name
%_datadir/pixmaps/*
%_menudir/*
%doc README NEWS TODO ChangeLog

%changelog
* Sun Jul 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.99.0-alt0.6
- fixed %%build.

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.99.0-alt0.5
- First build for Sisyphus.

